﻿using Syncfusion.UI.Xaml.Diagram.Stencil;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace Stencil_142815
{
    class SymbolItem : ISymbol
    {
        public object Symbol { get; set; }

        public object GroupName { get; set; }

        public DataTemplate SymbolTemplate { get; set; }
        public ISymbol Clone()
        {
            return new SymbolItem()
            {
                Symbol = this.Symbol,
                SymbolTemplate = this.SymbolTemplate               
            };
        }

        public object Key { get; set; }
    }

    /// <summary>
    /// Collection of Symbols
    /// </summary>
    public class SymbolCollection : ObservableCollection<ISymbol>
    {

    }//Class derived from ISymbol
   
   
}
